// tefonts.c - InstallShield font functions

#define NOCOMM
#include <windows.h>
#include <string.h>
#include "..\common\fonts.h"

int WINAPI WEP(int bSystemExit);
int WINAPI LibMain(HANDLE hInstance, WORD wDataSeg, WORD wHeapSize, LPSTR lpszCmdLine);
int __export CALLBACK ReadFontName(LPSTR lpFile, LPSTR lpINIFile, LPSTR lpSection, LPSTR lpKey);

int nDummyData;

int WINAPI LibMain(HANDLE hInstance, WORD wDataSeg,
					WORD wHeapSize, LPSTR lpszCmdLine)
{
	if (wHeapSize != 0 )
		UnlockData (0);

	return 1;
}

// Standard Windows Exit Procedure
int WINAPI WEP ( int bSystemExit )
{
	return 1;
}

BOOL __export CALLBACK ReadFontName(LPSTR lpFile, LPSTR lpINIFile,
							LPSTR lpSection, LPSTR lpKey)
{
	char lpFontName[256];

	if ((strlen(lpFile) == 0) || (strlen(lpINIFile) == 0) ||
		(strlen(lpSection) == 0) || (strlen(lpKey) == 0))
		return FALSE;
	
	lstrcpy(lpFontName, FontNameFromFile(lpFile));
	if (lpFontName != NULL)
		return WritePrivateProfileString(lpSection, lpKey, lpFontName, lpINIFile);
	else
		return FALSE;
}
