// tefonts.c - InstallShield font functions

#define NOCOMM
#include <windows.h>
#include "..\common\fonts.h"

#define DllImport	__declspec( dllimport )
#define DllExport	__declspec( dllexport )

BOOL WINAPI DllMain( PVOID hmod, ULONG ulReason, PCONTEXT pctx )
{
        return TRUE;
}

BOOL DllExport ReadFontName(LPCSTR lpFile, LPCTSTR lpINIFile,
							LPCTSTR lpSection, LPCTSTR lpKey)
{
	char lpFontName[256];

	if ((strlen(lpFile) == 0) || (strlen(lpINIFile) == 0) ||
		(strlen(lpSection) == 0) || (strlen(lpKey) == 0))
		return FALSE;
	
	lstrcpy(lpFontName, FontNameFromFile(lpFile));
	if (lpFontName != NULL)
		return WritePrivateProfileString(lpSection, lpKey, lpFontName, lpINIFile);
	else
		return FALSE;
}
